Bug 40613 - Kernel-source is not rebuildable
Kernel-source is not rebuildable
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-14 21:20 EDT by Mitsuo Hamada
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 21:20:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mitsuo Hamada 2001-05-14 21:20:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75C-ja  [ja/Vine] (X11; U; Linux 2.2.17-0vl22 i686)

Description of problem:


How reproducible:
Always

Steps to Reproduce:
1. Install all rpms.
2. cd /usr/src/linux-2.4/
3. make menuconfig
4. load config(configs/kernel-2.4.2-i686.config)
5. make bzImage
6. make modules
	

Actual Results:  build failed

Additional info:

ake -C  kernel CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing
-fno-common -Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i686
-DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4/include/linux/modversions.h" MAKING_MODULES=1 modules
make[1]: F~$j$^$9 %G%#%l%/%H%j `/usr/src/linux-2.4.2/kernel'
make[1]: `modules' $KBP$7$F9T$&$Y$-;v$O$"$j$^$;$s!#
make[1]: =P$^$9 %G%#%l%/%H%j `/usr/src/linux-2.4.2/kernel'
make -C  drivers CFLAGS="-D__KERNEL__ -I/usr/src/linux-2.4/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing
-fno-common -Wno-unused -pipe -mpreferred-stack-boundary=2 -march=i686
-DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4/include/linux/modversions.h" MAKING_MODULES=1 modules
make[1]: F~$j$^$9 %G%#%l%/%H%j `/usr/src/linux-2.4.2/drivers'
make -C atm modules
make[2]: F~$j$^$9 %G%#%l%/%H%j `/usr/src/linux-2.4.2/drivers/atm'
gcc -D__KERNEL__ -I/usr/src/linux-2.4/include -Wall -Wstrict-prototypes -O2
-fomit-frame-pointer -fno-strict-aliasing -fno-common -Wno-unused -pipe
-mpreferred-stack-boundary=2 -march=i686 -DMODULE -DMODVERSIONS -include
/usr/src/linux-2.4/include/linux/modversions.h -g  -c -o eni.o eni.c
In file included from eni.c:6:
/usr/src/linux-2.4/include/linux/module.h:173: nondigits in number and not
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:173: nondigits in number and not
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:173: parse error before
`62dada05'
/usr/src/linux-2.4/include/linux/module.h:173:
`inter_module_register_R_ver_str' declared as function returning a function
/usr/src/linux-2.4/include/linux/module.h:173: warning: function
declaration isn't a prototype
/usr/src/linux-2.4/include/linux/module.h:174: nondigits in number and not
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:174: missing white space after
number
`7a9e845'
/usr/src/linux-2.4/include/linux/module.h:174: parse error before `7a9e845'
/usr/src/linux-2.4/include/linux/module.h:174:
`inter_module_unregister_R_ver_str' declared as function returning a
function
/usr/src/linux-2.4/include/linux/module.h:174: warning: function
declaration isn't a prototype
/usr/src/linux-2.4/include/linux/module.h:175: `inter_module_get_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4/include/linux/module.h:175: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4/include/linux/module.h:176:
`inter_module_get_request_R_ver_str' declared as function returning a
function
/usr/src/linux-2.4/include/linux/module.h:175: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4/include/linux/module.h:176:
`inter_module_get_request_R_ver_str' declared as function returning a
function
/usr/src/linux-2.4/include/linux/module.h:176: warning: parameter names
(without types) in function declaration
/usr/src/linux-2.4/include/linux/module.h:177: nondigits in number and not
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:177: nondigits in number and not
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:177: nondigits in number and not
hexadecimal
/usr/src/linux-2.4/include/linux/module.h:177: parse error before
`6b99f7d8'
/usr/src/linux-2.4/include/linux/module.h:177: `inter_module_put_R_ver_str'
declared as function returning a function
/usr/src/linux-2.4/include/linux/module.h:177: warning: function
declaration isn't a prototype
/usr/src/linux-2.4/include/linux/module.h:186:
`try_inc_mod_count_R_ver_str' declared as function returning a function
/usr/src/linux-2.4/include/linux/module.h:186: warning: parameter names
(without types) in function declaration
make[2]: *** [eni.o] Error 1
make[2]: Leaving Directory `/usr/src/linux-2.4.2/drivers/atm'
make[1]: *** [_modsubdir_atm] Error 2
make[1]: Leaving Directory `/usr/src/linux-2.4.2/drivers'
make: *** [_mod_drivers] Error 2
Comment 1 Bill Nottingham 2001-05-14 21:27:09 EDT
You forgot 'make mrproper' before loading the config (and make dep after loading
it.)
Comment 2 Mitsuo Hamada 2001-05-15 01:06:19 EDT
I'm sorry! I forgot to do 'make mrproper'. :-(
Please ignore this bug report...
Comment 3 Arjan van de Ven 2001-05-15 04:21:15 EDT
You must do a "make mrproper" before doing "make menuconfig"

Note You need to log in before you can comment on or make changes to this bug.